Використовуйте CometAPI POST /mj/submit/action, щоб застосовувати дії Midjourney — upscale, variation, reroll, zoom та інші — до зображень, згенерованих через imaging.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}taskId з початкового або найновішого завдання MidjourneycustomId з останнього масиву buttons, повернутого Fetch Single TaskcustomId не є сталим. Ніколи не задавайте його жорстко в коді. Завжди зчитуйте його з найновішої відповіді polling.U1 до U4: upscale одного зображення з сіткиV1 до V4: згенерувати variation з однієї позиції зображенняСтворіть подальше завдання
taskId і customId, а потім збережіть id нового поверненого завдання.Опитуйте нове завдання
Обробляйте дії лише для modal
MODAL, продовжуйте з Modal, щоб надати додаткове введення.Bearer token authentication. Use your CometAPI key.
Action id taken from the latest buttons array returned by the fetch endpoint.
Midjourney task id you want to continue from.
Custom state string. Returned as-is in the task result and webhook callback for your own tracking.
Whether to force remix mode when the current action supports it.
Whether to prefer the same channel account used by the current task.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}